Avisi cloud logo
OpenapiGenerated

Validate VAT for an organisation.

POST
/api/v1/organisations/{organisationSlug}/validation-status/vat

Path Parameters

organisationSlug*string
Match^[a-z0-9-_]+$

Request Body

application/json
  1. body
vatLegalEntityName?string
vatLegalEntityAddress?string

Response Body

Request was successfully processed. The response body contains the requested data.

application/json
  1. response
vatNumberVerificationStatus?string
vatNumberVerificationUpdatedAt?string
Formatdate-time
vatLegalEntityNameVerifiedAt?string
Formatdate-time
vatLegalEntityAddressVerifiedAt?string
Formatdate-time
contactEmailVerifiedAt?string
Formatdate-time
billingEmailVerifiedAt?string
Formatdate-time
validPaymentMethodAttachedAt?string
Formatdate-time
curl -X POST 'https://api.avisi.cloud/api/v1/organisations/string/validation-status/vat' \  -H 'Content-Type: application/json' \  -d '{}'
{  "vatNumberVerificationStatus": "string",  "vatNumberVerificationUpdatedAt": "2019-08-24T14:15:22Z",  "vatLegalEntityNameVerifiedAt": "2019-08-24T14:15:22Z",  "vatLegalEntityAddressVerifiedAt": "2019-08-24T14:15:22Z",  "contactEmailVerifiedAt": "2019-08-24T14:15:22Z",  "billingEmailVerifiedAt": "2019-08-24T14:15:22Z",  "validPaymentMethodAttachedAt": "2019-08-24T14:15:22Z"}